// UTS 2000 - fichier 'selectif.h' - V3.3 - Le 23/05/2009
class cSelectif
{
    public:
    int nb;
    int descr[NB_SELECTIF][IND_SELECTIF_TAILLE];  // [Nombre maxi de terme 'Cx:' dans la partie '#selectif' de 'config.txt'][Cx:(+-) Cy(+-) suivi de 6 aiguillages maxi ].
    int check_aig;
         cSelectif(void);
    void init(char filename[]);
    void verif(void);
    void tick(void);
    //void cSelectif::new_canton_selectif(int canton, int reg); //passage d'un canton en mode selectif
    void cSelectif::debug(int action);
};
